public static interface CronEndpointBuilderFactory.CronBuilders
| Modifier and Type | Method and Description |
|---|---|
default CronEndpointBuilderFactory.CronEndpointBuilder |
cron(String path)
Cron (camel-cron)
A generic interface for triggering events at times specified through
the Unix cron syntax.
|
default CronEndpointBuilderFactory.CronEndpointBuilder |
cron(String componentName,
String path)
Cron (camel-cron)
A generic interface for triggering events at times specified through
the Unix cron syntax.
|
default CronEndpointBuilderFactory.CronEndpointBuilder cron(String path)
cron:name
Path parameter: name (required)
The name of the cron triggerpath - namedefault CronEndpointBuilderFactory.CronEndpointBuilder cron(String componentName, String path)
cron:name
Path parameter: name (required)
The name of the cron triggercomponentName - to use a custom component name for the endpoint
instead of the default namepath - nameApache Camel